cdac.medinfo.model

## Class FamilyHistory

- java.lang.Object
- - cdac.medinfo.model.FamilyHistory

-     public class FamilyHistory
      extends java.lang.Object

  This class specify Family History Section Details. This section contains data defining the patient's genetic relatives in terms of possible or relevant health risk factors that have a potential impact on the patient's healthcare risk profile.

  This class has the following attributes:

  1. Relation With Patient (String)
  2. Vital Status (String)
  3. Diagnosis (String)
  4. Age At Onset (String)
  5. Gender (String)
  6. Birth Time (String)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FamilyHistory()` Default constructor of Family History.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAgeAtOnset()` Returns the Age At Onset
    `java.lang.String` | `getBirthTime()` Returns the Birth Time.
    `java.lang.String` | `getDiagnosis()` Returns the Diagnosis.
    `java.lang.String` | `getGender()` Returns the Gender.
    `java.lang.String` | `getRelationWithPatient()` Returns the Relation with Patient.
    `java.lang.String` | `getVitalStatus()` Returns the Vital Status of Patient's Relative.
    `void` | `setAgeAtOnset(java.lang.String ageAtOnset)` Sets the Age At Onset
    `void` | `setBirthTime(java.lang.String birthTime)` Sets the Birth Time.
    `void` | `setDiagnosis(java.lang.String diagnosis)` Sets the Diagnosis.
    `void` | `setGender(java.lang.String gender)` Sets the Gender.
    `void` | `setRelationWithPatient(java.lang.String relationWithPatient)` Sets the Relation with Patient.
    `void` | `setVitalStatus(java.lang.String vitalStatus)` Sets the Vital Status of Patient's Relative.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FamilyHistory

          public FamilyHistory()

      Default constructor of Family History.

  - ### Method Detail

    - #### getRelationWithPatient

          public java.lang.String getRelationWithPatient()

      Returns the Relation with Patient.
      Returns:
        the relationWithPatient

    - #### setRelationWithPatient

          public void setRelationWithPatient(java.lang.String relationWithPatient)

      Sets the Relation with Patient.
      Parameters:
        `relationWithPatient` - Specifies the Relation with Patient.

    - #### getVitalStatus

          public java.lang.String getVitalStatus()

      Returns the Vital Status of Patient's Relative.
      Returns:
        the vitalStatus

    - #### setVitalStatus

          public void setVitalStatus(java.lang.String vitalStatus)

      Sets the Vital Status of Patient's Relative.
      Parameters:
        `vitalStatus` - Specifies the the Vital Status of Patient's Relative. E.g. if Relative is alive or deceased

    - #### getDiagnosis

          public java.lang.String getDiagnosis()

      Returns the Diagnosis.
      Returns:
        the diagnosis

    - #### setDiagnosis

          public void setDiagnosis(java.lang.String diagnosis)

      Sets the Diagnosis.
      Parameters:
        `diagnosis` - Specifies the diagnosis

    - #### getAgeAtOnset

          public java.lang.String getAgeAtOnset()

      Returns the Age At Onset
      Returns:
        the ageAtOnset

    - #### setAgeAtOnset

          public void setAgeAtOnset(java.lang.String ageAtOnset)

      Sets the Age At Onset
      Parameters:
        `ageAtOnset` - Specifies the age at which the disease was diagnosed

    - #### getGender

          public java.lang.String getGender()

      Returns the Gender.
      Returns:
        the gender

    - #### setGender

          public void setGender(java.lang.String gender)

      Sets the Gender.
      Parameters:
        `gender` - Specifies the gender

    - #### getBirthTime

          public java.lang.String getBirthTime()

      Returns the Birth Time.
      Returns:
        the birthTime

    - #### setBirthTime

          public void setBirthTime(java.lang.String birthTime)

      Sets the Birth Time.
      Parameters:
        `birthTime` - Specifies the birth time